import { OnInit, OnDestroy, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { AngularPaginatorService } from '../services/angular-paginator.service';
import { AngularPaginatorInstance, Page } from '../others/angular-paginator.interface';
import { Subscription } from 'rxjs/Subscription';
export declare class AngularPaginatorDirective implements OnInit, OnDestroy {
    private _angularPaginatorService;
    private changeDetectorRef;
    boundaryLinks: boolean;
    directionLinks: boolean;
    maxSize: number;
    rotate: boolean;
    boundaryLinkNumbers: boolean;
    forceEllipses: boolean;
    size: string;
    id: string;
    class: string;
    currentPage: number;
    firstPage: number;
    lastPage: number;
    pages: Page[];
    subscription: Subscription;
    pageChange: EventEmitter<number>;
    constructor(_angularPaginatorService: AngularPaginatorService, changeDetectorRef: ChangeDetectorRef);
    getPaginationSize(): string;
    toPreviousPage(): void;
    toNextPage(): void;
    toFirstPage(): void;
    toLastPage(): void;
    setCurrentPage(page: number): void;
    makePage(number: number, text: any, isActive: boolean): {
        number: number;
        text: any;
        active: boolean;
    };
    getPages(currentPage: number, itemsPerPage: number, totalItems: number): any;
    updatePages(): void;
    outOfBoundCorrection(instance: AngularPaginatorInstance): number;
    isValidId(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
}
